import * as React from 'react';
import { ButtonItem } from './interfaces';
interface IButtonMenu {
    buttons: ButtonItem[];
    buttonClassName?: string;
    className?: string;
    disabled?: boolean;
    dropdownClassName?: string;
}
export interface IButtonMenuState {
    isExpanded: boolean;
}
export declare class ButtonMenu extends React.PureComponent<IButtonMenu, IButtonMenuState> {
    static defaultProps: {
        bsStyle: string;
    };
    state: {
        isExpanded: boolean;
    };
    private timeout?;
    private mounted;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private renderButtonMenuItem;
    private renderButton;
    private renderLink;
    private toggle;
    private close;
    private open;
}
export {};
