import * as React from 'react';
export interface IDescription {
    className?: string;
    message: string | React.ReactElement<any>;
}
export interface ILabelWithDescription extends IDescription {
    labelClassName?: string;
}
export interface ISpanWithIconDescription {
    iconClassName: string;
    message: string | React.ReactElement<any>;
    tooltipClassName?: string;
}
export declare const Description: React.FC<IDescription>;
export declare const LabelWithDescription: React.FC<ILabelWithDescription>;
export declare const SpanLabelWithDescription: React.SFC<ILabelWithDescription>;
export declare const SpanWithIconDescription: React.SFC<ISpanWithIconDescription>;
