import { IFormFieldSpecification, IFormFieldSpecificationDescriptor, IFormFieldValue, ITransformer } from './interfaces';
export declare const gtAlphaFieldCreator: <F>(left: IFormFieldSpecificationDescriptor, right: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<string, string, F, void>;
export declare const gteAlphaFieldCreator: <F>(left: IFormFieldSpecificationDescriptor, right: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<string, string, F, void>;
export declare const ltAlphaFieldCreator: <F>(left: IFormFieldSpecificationDescriptor, right: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<string, string, F, void>;
export declare const lteAlphaFieldCreator: <F>(left: IFormFieldSpecificationDescriptor, right: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<string, string, F, void>;
export declare const gtFieldCreator: <F>(left: IFormFieldSpecificationDescriptor, right: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<import("../../util/NumberUtils/NumberUtils").Numeric, import("../../util/NumberUtils/NumberUtils").Numeric, F, void>;
export declare const gteFieldCreator: <F>(left: IFormFieldSpecificationDescriptor, right: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<import("../../util/NumberUtils/NumberUtils").Numeric, import("../../util/NumberUtils/NumberUtils").Numeric, F, void>;
export declare const ltFieldCreator: <F>(left: IFormFieldSpecificationDescriptor, right: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<import("../../util/NumberUtils/NumberUtils").Numeric, import("../../util/NumberUtils/NumberUtils").Numeric, F, void>;
export declare const lteFieldCreator: <F>(left: IFormFieldSpecificationDescriptor, right: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<import("../../util/NumberUtils/NumberUtils").Numeric, import("../../util/NumberUtils/NumberUtils").Numeric, F, void>;
export declare const cantBeNegativeIfCreator: <F>(field: IFormFieldSpecificationDescriptor, condition: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<any, import("../../util/NumberUtils/NumberUtils").Numeric, F, void>;
export declare const requiredIfSetCreator: <F>(field: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<any, any, F, void>;
export declare const requiredIfCheckedCreator: <F>(field: IFormFieldSpecification) => import("./interfaces").ValidatorCreator<any, any, F, void>;
export declare const requireAtLeastOneOfCreator: <F>(fields: IFormFieldSpecification[]) => import("./interfaces").ValidatorCreator<IFormFieldValue<any>[], void, F, void>;
export declare const uniqueAmongstCreator: <F, V>(selectFields: (formData: F) => V[], transform?: ITransformer<any, V>) => import("./interfaces").ValidatorCreator<V[], V, F, void>;
export declare const checkedOneOfCreator: <F>(selectFields: (formData: F) => boolean[]) => import("./interfaces").ValidatorCreator<boolean, void, F, void>;
