import { unitOfTime } from 'moment';
import { IFormFieldSpecification } from './interfaces';
export declare const notInTheFutureCreator: <F = void, P = void>(precision?: unitOfTime.DurationConstructor) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, P>;
export declare const notInThePastCreator: <F = void, P = void>(precision?: unitOfTime.DurationConstructor) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, P>;
export interface IDateOrdValidatorProps {
    date: DateStr;
    precision?: unitOfTime.DurationConstructor;
}
export declare const afterTheDateCreator: ({ date, precision, }: IDateOrdValidatorProps) => import("./interfaces").ValidatorCreator<DateStr, DateStr, void, void>;
export declare const sameAsOrBeforeTheDateCreator: <F = void, P = void>({ date, precision, }: IDateOrdValidatorProps) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, P>;
export declare const sameAsOrAfterTheDateCreator: <F = void, P = void>({ date, precision, }: IDateOrdValidatorProps) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, P>;
export declare const sameAsOrBeforeFieldCreator: <F>(left: IFormFieldSpecification, right: IFormFieldSpecification, precision?: unitOfTime.DurationConstructor) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, void>;
export declare const sameAsOrAfterFieldCreator: <F>(left: IFormFieldSpecification, right: IFormFieldSpecification, precision?: unitOfTime.DurationConstructor) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, void>;
export declare const overMonthFieldCreator: <F>(_left: IFormFieldSpecification, right: IFormFieldSpecification, precision?: unitOfTime.DurationConstructor) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, void>;
export declare const maxInTheFutureCreator: <F, P>(amount: number, precision?: unitOfTime.DurationConstructor) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, P>;
export declare const maxInThePastCreator: <F, P>(amount: number, precision?: unitOfTime.DurationConstructor) => import("./interfaces").ValidatorCreator<DateStr, DateStr, F, P>;
