import * as NumberUtils from '../NumberUtils/NumberUtils';
export declare const CurrencyFormat = "#,##0.00";
export declare enum CurrencySymbolPlacement {
    Prefix = "Prefix",
    Postfix = "Postfix"
}
export declare class CurrencyFormatterClass {
    private currencyFormat;
    private currencySymbol;
    private currencyPlacement;
    private format;
    setFormat: (format: string) => void;
    setCurrencySymbol: (symbol: string, placement: CurrencySymbolPlacement) => void;
    machineFormatCurrency: (number: NumberUtils.Numeric) => string;
    formatNumber: (number: NumberUtils.Numeric) => string;
    formatCurrency: (amount: NumberUtils.Numeric) => string;
    private normalizeNumber;
}
export declare const CurrencyFormatter: CurrencyFormatterClass;
