export declare const DateFormatter: {
    dateFromTimestamp: (timestamp: TimestampStr) => DateStr | null;
    formatDisplayDate: (date: DateStr) => DateStr | null;
    formatInputDate: (date: DateStr | TimestampStr, format?: string | undefined) => DateStr | null;
    formatInternalDate: (date: DateStr) => DateStr;
    formatPresentationalDate: (date: DateStr | TimestampStr, format?: string | undefined) => DateStr | null;
    getInputDateFormat: () => string;
    getPresentationalDateFormat: () => string;
    setInputDateFormat: (format: string) => string;
    setPresentationalDateFormat: (format: string) => void;
};
export declare const sanitizeInputDateFormat: (format: string) => string;
