import * as React from 'react';
import { IExternalFormField } from '../Form/FormField';
import { IFieldRegistryContext, IVisibilityFunctions } from './FieldRegistryContext';
interface IWithVisibility {
    predicates: IVisibilityFunctions;
}
/**
 * @deprecated Prefer WithControlOverrides, which allows for fine-tuning of other fields, as well
 */
export declare const WithVisibility: React.FC<IWithVisibility>;
interface IWithControlOverrides extends Partial<Omit<IFieldRegistryContext, 'Fields'>> {
    Fields: {
        [key: string]: React.ComponentType<IExternalFormField<any, any, any>>;
    };
}
export declare const WithControlOverrides: React.FC<Partial<IWithControlOverrides>>;
export {};
