import * as React from 'react';
import { FormContext } from './Context';
interface ISection {
    title?: string;
    containerClassName?: string;
    className?: string;
    titleClassName?: string;
    keepExpanded?: boolean;
}
interface ISectionState {
    expanded: boolean;
}
export declare class Section extends React.PureComponent<ISection, ISectionState> {
    static contextType: React.Context<import("./Context").IFormContext<any> | undefined>;
    context: React.ContextType<typeof FormContext>;
    state: ISectionState;
    render(): JSX.Element;
    private onToggleCollapse;
    private getTitlePath;
}
export {};
