import * as React from 'react';
export interface II18nContext {
    customizeLabel: (path: string, value: string) => Promise<any>;
    hasPermissions: boolean;
    localize: (path: string) => string | undefined;
}
export declare const I18nContext: React.Context<II18nContext>;
export declare const InternationalisationProvider: React.Provider<II18nContext>;
export declare const Internationalised: React.Consumer<II18nContext>;
export interface IWithI18n {
    localize: II18nContext['localize'];
}
