import * as React from 'react';
import { FormFieldProps, IBaseComponentProps } from '../decorators/formField';
export interface IInput extends IBaseComponentProps<string | number> {
    type?: 'text' | 'number' | 'date' | 'email' | 'url' | 'password' | 'search';
}
export declare type InputFieldPublicProps = FormFieldProps<IInput>;
export declare const Input: React.ComponentClass<FormFieldProps<IInput>, any>;
