import * as React from 'react';
import { ISubmittable } from '../Form/Context';
interface ICreatePresenter<T> {
    presenterName?: string;
    domainObject: ISubmittable<T>;
    onSubmitSuccess?: (data: T) => void;
    onSubmit?: (data: T, generatedHandler: (original: T) => Promise<T>) => Promise<T>;
}
export declare class CreatePresenter<T> extends React.PureComponent<ICreatePresenter<T>> {
    render(): JSX.Element;
    private getContext;
    private onSubmit;
}
export {};
