import * as React from 'react';
import { IActionButton } from './Actions';
import { IListPresenterPublicProps } from './ListPresenter';
interface IReportPublicProps<T, R extends DeepKeyOf<T>> extends IListPresenterPublicProps<T, R> {
    className?: string;
    title: string;
    actions?: IActionButton[];
    reportEntryCommandName?: string;
    onForbidden?: () => void;
    exportFile?: string;
    userRoles?: Set<string>;
    roles?: string[];
}
interface IReport<T, R extends DeepKeyOf<T>> extends IReportPublicProps<T, R> {
}
export declare class Report<T, R extends DeepKeyOf<T>> extends React.PureComponent<IReport<T, R>> {
    render(): JSX.Element;
    private onForbidden;
}
export {};
