import * as React from 'react';
import { IGetRowState, IRowConfig, IRowInfo } from '../interfaces';
export interface IDetailRowProps<T> {
    data: IRowInfo<T>;
    foldedColumns: IRowConfig<T>;
    ExtraComponent?: React.ComponentType<T>;
    FoldedColumnsComponent?: React.ComponentType<T>;
    hasFoldedColumns?: boolean;
    getRowState?: IGetRowState<T>;
}
export declare class DetailRow<T> extends React.PureComponent<IDetailRowProps<T>> {
    static defaultProps: Partial<IDetailRowProps<any>>;
    render(): JSX.Element;
}
