import * as React from 'react';
interface IAggregateFooterProps<T> {
    Cell: React.ComponentClass<any>;
    field: string;
    data: T[];
    format?: (value: T) => string;
    aggregate: (data: T[], rows?: any) => T;
}
export declare class AggregateFooter<T> extends React.PureComponent<IAggregateFooterProps<T>> {
    static defaultProps: {
        format: (value: any) => string;
    };
    render(): JSX.Element;
}
export {};
