import * as React from 'react';
import { IFormControlContext } from '../Form/Context';
interface IFormPublicProps<T> {
    initialValues?: Partial<T>;
    formUnderKey?: string | string[];
    configuration?: IFormControlContext<T>;
    hideSubmit?: boolean;
}
interface IForm<T> extends IFormPublicProps<T> {
}
export declare class FiltersForm<T> extends React.PureComponent<IForm<T>> {
    render(): JSX.Element;
}
export {};
