import * as React from 'react';
import { IFormControlContext } from '../Form/Context';
export interface IPresenterFormPublicProps<T> {
    submitButtonText?: string;
    cancelButtonText?: string;
    initialValues?: Partial<T>;
    readOnly?: boolean;
    configuration?: IFormControlContext<T>;
    onSubmitSuccess?: (data: T) => void;
    onCancel?: () => void;
}
export declare class PresenterForm<T> extends React.PureComponent<IPresenterFormPublicProps<T>> {
    render(): JSX.Element;
}
