import { TypescriptResultSet } from '../../ResultSet/ResultSet';
import { IRowsConfig } from '../Table/Table';
export declare const anyFieldMatchesQuery: <T>(item: T, query: string) => boolean;
export declare const fastFilter: <T>(items: T[] | undefined, displayItems: IObjectAny[], query?: string | undefined) => T[] | undefined;
export declare const mergeDefinition: <T extends any[]>(conf: IRowsConfig<T>, footerLabel?: string | undefined) => IRowsConfig<T>;
export declare const getResultSetColumnDefinitions: (rs: TypescriptResultSet) => IRowsConfig<any>;
export declare const unpackRow: (row: IObjectAny | Map<string, any>) => IObjectAny;
