/// <reference types="react" />
export declare const maxLengthCreator: (maxLength: number, operator?: ((value: number) => (input: string | any[] | number) => boolean) | undefined) => import("./interfaces").ValidatorCreator<number, string | number | any[], any, any>;
export declare const maxDecimalLengthCreator: (maxLength: number, operator?: ((value: number) => (input: string | number) => boolean) | undefined) => import("./interfaces").ValidatorCreator<number, import("react").ReactText, any, any>;
export declare const exactLengthCreator: (expectedLength: number, operator?: ((value: number) => (input: string | any[]) => boolean) | undefined) => import("./interfaces").ValidatorCreator<number, string | any[], any, any>;
export declare const minLengthCreator: (minLength: number) => import("./interfaces").ValidatorCreator<number, import("react").ReactText, any, any>;
export declare const maxLengthCreatorWithIgnoreByRegex: (maxLength: number, regex: RegExp) => import("./interfaces").ValidatorCreator<number, string | number | any[], any, any>;
export declare const minQueryLengthCreator: (minLength?: number) => import("./interfaces").ValidatorCreator<number, string, any, any>;
export declare const isNotInCreator: (values: any[]) => import("./interfaces").ValidatorCreator<any[], any, any, any>;
export declare const isInCreator: (values: any[]) => import("./interfaces").ValidatorCreator<any[], any, any, any>;
