import { Serialized } from '../Marshaller';
export declare class Pet {
    static serialize: (it: Pet | undefined, isNonNullable: boolean, path?: string | undefined) => Serialized<Pet> | undefined;
    static deserialize: (it: Serialized<Pet> | undefined, isNonNullable: boolean, path?: string | undefined) => Serialized<Pet> | undefined;
    private static required;
    private static serializeName;
    private static deserializeName;
    name: string | undefined;
}
export declare class Person {
    static serialize: (it: Person | undefined, isNonNullable: boolean, path?: string | undefined) => Serialized<Person> | undefined;
    static deserialize: (it: Serialized<Person> | undefined, isNonNullable: boolean, path?: string | undefined) => Serialized<Person> | undefined;
    private static required;
    private static serializeAge;
    private static deserializeAge;
    private static serializeName;
    private static deserializeName;
    private static serializePets;
    private static serializePetsMember;
    private static deserializePets;
    private static deserializePetsMember;
    private static serializeTagIDs;
    private static serializeTagIDsMember;
    private static deserializeTagIDs;
    private static deserializeTagIDsMember;
    name?: string;
    age?: Int;
    tagIDs?: Int[];
    pets?: Set<Pet>;
}
export declare class OptionalFields {
    static serialize: (it: OptionalFields | undefined, isNonNullable: boolean, path?: string | undefined) => Serialized<OptionalFields> | undefined;
    static deserialize: (it: Serialized<OptionalFields> | undefined, isNonNullable: boolean, path?: string | undefined) => Serialized<OptionalFields> | undefined;
    private static required;
    private static serializeName;
    private static deserializeName;
    private static serializeLocationID;
    private static deserializeLocationID;
    name?: string;
    locationID?: Long;
}
