import { Marshaller } from './Marshaller';
export declare const assertDate: (value: DateStr) => DateStr;
export declare const assertDateTime: (value: TimestampStr) => TimestampStr;
export declare const assertCurrency: (value: MoneyStr) => MoneyStr;
export declare const isNullOrEmpty: (value: any) => boolean;
export interface IBootConfig {
    after?: (Marshaller: Marshaller) => Marshaller;
    before?: (marshaller: Marshaller) => Marshaller;
}
export declare const initialize: ({ before, after }: IBootConfig) => Marshaller;
