export declare const trim: (string: string) => string;
export declare const removeSpaces: (string: string) => string;
export declare const fromBool: (bool: boolean) => "Yes" | "No";
export declare const percentage: (number: number, precision?: number) => string;
export declare const capitalize: (word: string) => string;
export declare const camelToWord: (term: string) => string;
export declare const leftPad: (str: string, len: number, padding?: string) => string;
export declare const includes: (haystack: string, needle: string) => boolean;
export declare const findAll: (regex: RegExp, str: string) => string[];
export declare const safeToString: <T extends {
    toString: () => string;
}>(value?: T | undefined, fallback?: string) => string;
export declare const normalizeString: (text?: string | undefined) => string | undefined;
export declare const isNullOrEmpty: (str?: string | undefined) => boolean;
export declare const safeIsNullOrEmpty: (value?: any) => boolean;
