import React from 'react';
import { FormType } from '../components/Form/interfaces';
import { IRowConfig } from '../components/Table/Table';
interface IReferences {
    edit?: string[];
    view?: string[];
}
export declare const hasPermissions: (userRoles: Set<string>, roles: string[]) => boolean;
export declare const getTableActions: <T>(navigateTo: (formType: FormType, id?: any) => void, canNavigateTo: (formType: FormType, item?: T | undefined) => boolean, userRoles: Set<string>, getIdentifier: (item: T) => string, references: IReferences, externalActions?: ((row: T) => React.ReactElement<any>)[]) => IRowConfig<T>;
export declare const mergeColumnConfigs: <T>(configA: IRowConfig<T>, configB: IRowConfig<T>) => IRowConfig<T>;
export {};
